package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.SwitcherModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ Description：
 * @ Author     ：丁明威
 * @ Date       ：Created in 17:26 2018/11/16
 * @ Modified By：
 */
public interface SwitcherProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult<>(false, "尚未实现");
    }

    default BocloudResult detail(String uuid) {
        return new BocloudResult<>(false, "尚未实现");
    }

    default BocloudResult create(SwitcherModel model) {
        return new BocloudResult<>(false, "尚未实现");
    }

    default BocloudResult modify(SwitcherModel model) {
        return new BocloudResult<>(false, "尚未实现");
    }

    default BocloudResult remove(SwitcherModel model) {
        return new BocloudResult<>(false, "尚未实现");
    }
}